/* Headbar CSS */

.HeadBar {
  position: fixed;
  top: 0px;
  left: 0px;
  height: 50px;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.92);
  padding-top: 10px;
  z-index: 100;
  text-align: center;
}

.Components {
  margin-top: 50px;
  background-color: whitesmoke;
  width: 100%;
  height: 100%;
}

.FooterBar {
  border-top: 1px dashed lightblue;
  margin-top: 50px;
  height: 100%;
}

.disableTextSelection {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.enableTextSelection {
  -webkit-touch-callout: default;
  -webkit-user-select: text;
  -khtml-user-select: default;
  -moz-user-select: auto;
  -ms-user-select: text;
  user-select: text;
}

.button {
  background-color: transparent;
  border: none;
  padding: 0;
}

.button:focus {
  outline: none;
}

/*LOADING*/
.loader-wrapper {
  position: fixed;
  top: 0;
  z-index: 999;
  height: 625px;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.2);
}

.loader {
  border-right: 10px solid #d96d0e;
  border-top: 10px solid #c96509;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  animation: spin 1s linear infinite;
  margin: 263px auto auto;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}